GMX-FILTER(1)

NAME
gmx-filter - Frequency filter trajectories, useful for making smooth movies

SYNOPSIS

gmx filter [-f [<.xtc/.trr/...>]] [-s [<.tpr/.gro/...>]] [-n [<.ndx>]]
           [-ol [<.xtc/.trr/...>]] [-oh [<.xtc/.trr/...>]]
           [-b <time>] [-e <time>] [-dt <time>] [-[no]w] [-nf <int>]
           [-[no]all] [-[no]nojump] [-[no]fit]

DESCRIPTION

gmx filter performs frequency filtering on a trajectory. The filter shape is cos(pi t/A) + 1 from -A to +A, where A is given by the option -nf times the time step in the input trajectory. This filter reduces fluctuations with period A by 85%, with period 2*A by 50% and with period 3*A by 17% for low-pass filtering. Both a low-pass and high-pass filtered trajectory can be written.

Option -ol writes a low-pass filtered trajectory. A frame is written every -nf input frames. This ratio of filter length and output interval ensures a good suppression of aliasing of high-frequency motion, which is useful for making smooth movies. Also averages of properties which are linear in the coordinates are preserved, since all input frames are weighted equally in the output. When all frames are needed, use the -all option.

Option -oh writes a high-pass filtered trajectory. The high-pass filtered coordinates are added to the coordinates from the structure file. When using high-pass filtering use -fit or make sure you use a trajectory that has been fitted on the coordinates in the structure file.

OPTIONS

Options to specify input files:

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-s [<.tpr/.gro/…>] (topol.tpr) (Optional)
    Structure+mass(db): tpr gro g96 pdb brk ent

-n [<.ndx>] (index.ndx) (Optional)
    Index file

    Options to specify output files:

-ol [<.xtc/.trr/…>] (lowpass.xtc) (Optional)
    Trajectory: xtc trr gro g96 pdb tng

-oh [<.xtc/.trr/…>] (highpass.xtc) (Optional)
    Trajectory: xtc trr gro g96 pdb tng

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-nf <int> (10)
    Sets the filter length as well as the output interval for low-pass filtering

-[no]all (no)
    Write all low-pass filtered frames

-[no]nojump (yes)
    Remove jumps of atoms across the box

-[no]fit (no)
    Fit all frames to a reference structure

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team